Jifty::Script::Server(3)

NAME
Jifty::Script::Server - A standalone webserver for your Jifty application

SYNOPSIS
    jifty server
    jifty server --port 6666
    jifty server --stop

DESCRIPTION
Starts and stops Jifty's standalone web server.

  options

--port
    The port to run the server on. Overrides the port in the config file, if it is set there. The default port is 8888.

--user USER
    The user to become after binding to the port. It is advised that you use this when binding to low ports, instead of running as "root". This option only works if the server is using a Net::Server subclass.

--group GROUP
    The group to become after binding to the port. Like "--user", this option only works if the server is using a Net::Server subclass.

--host HOSTNAME
    The host to bind to. This option only works if the server is using a Net::Server subclass.

--stop
    Stops the server, if it is running. This is accomplished by reading the PID from "var/jifty-server.pid"

--restart
    restart the server, if it is running. This is accomplished by killing the child pid, and let parent pid create a new one

--sigready SIGNAL
    Sets the signal number that should be sent to the server's parent process when the server is ready to accept connections.

--quiet
    Reduces the amount of debug output sent by the server

--dbiprof
    Turns on DBI profiling; see DBI::ProfileDumper.

--help
    Print a brief help message and exits.

--man
    Prints the manual page and exits.

DESCRIPTION
When you're getting started with Jifty, this is the server you want. It's lightweight and easy to work with.

METHODS

  run
"run" takes no arguments, but starts up a Jifty server process for you.